{% extends 'crud/list.html' %}
{% load crm_utils %}
{% load permission_tags %}

{% block custom_header_includes %}
    <script src="https://code.jquery.com/jquery-3.4.1.min.js"#}
            integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous"></script>
{% endblock %}
{% block content %}
    {% block messages %}
            {% if messages %}
                {% for message in messages %}
                    {% if message.level == DEFAULT_MESSAGE_LEVELS.SUCCESS %}
                    <div id="success-alert" class="alert alert-success" role="alert">
                        {{ message }}
                    </div>
                    {% endif %}
                    <script type="application/javascript">
                        setTimeout(function(){
                            document.getElementById("success-alert").style.display = "none";}, 3000);
                    </script>
                {% endfor %}
    {% endif %}
    {% endblock %}




    {% block page_heading %}
        {{ block.super }}
    {% endblock %}
<div class="card shadow mb-4">
            <div class="card-header py-3">
            </div>
            <div class="card-body">
              <div class="table-responsive">
                <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                  <thead>
                    <tr>
                      <th><input id="mass-choice" type="checkbox"></th>
                      <th>Email</th>
                      <th>Имя</th>
                      <th>Фамилия</th>
                      <th>Роль</th>
                      <th>Активен</th>
                      <th>Филиал</th>
                      <th>Действия</th>
                    </tr>
                  </thead>
                  {% comment %} <tfoot>
                    <tr>
                      <th>#</th>
                      <th>Email</th>
                      <th>Имя</th>
                      <th>Фамилия</th>
                      <th>Роль</th>
                      <th>Активен</th>
                      <th>Филиал</th>
                      <th>Действия</th>
                    </tr>
                  </tfoot> {% endcomment %}
                  <tbody>
                  {% for user_ in object_list %}
                    <tr>
                      <td><input id="{{ user_.id }}" type="checkbox"></td>
                      <td>{{ user_.email }}</td>
                      <td>{{ user_.first_name }}</td>
                      <td>{{ user_.last_name }}</td>
                      <td>{% for roles in user_|get_role %}
                            {{ roles }}
                      {% endfor %}
                      </td>
                        {% if user_.is_active %}
                            <td>
                                <i class="fa fa-check-circle"></i>
                            </td>
                        {% else %}
                            <td><i class="fa fa-minus-circle"></i></td>
                        {% endif %}
                      <td>
                          {% if user_.profile.departament %}
                            {{ user_.profile.departament }}
                           {% else %}
                              Филиал не установлен
                          {% endif %}
                      </td>
                      <td>
                          <a href="{% url 'user_setting_edit' user_.id %}" style="text-decoration: none">
                            <i class="fa fa-edit"></i>
                          </a>

                          {% if user|is_has_role:'system_admin' %}
                              <a href="{% url 'user_setting_delete' user_.id %}" style="text-decoration: none" data-toggle="modal" data-target="#deleteModal-{{ user_.id }}">
                                <i class="fa fa-trash"></i>
                              </a>
                          {% endif %}
                              <!-- DELETE MODAL -->
                              <div class="modal fade" id="deleteModal-{{ user_.id }}" tabindex="-1" role="dialog"
                                   aria-labelledby="exampleModalLabel" aria-hidden="true">
                                  <div class="modal-dialog" role="document">
                                      <div class="modal-content">
                                          <div class="modal-header">
                                              <h5 class="modal-title" id="exampleModalLabel">Удалить {{ create_name }}</h5>
                                              <button type="button" class="close" data-dismiss="modal"
                                                      aria-label="Close">
                                                  <span aria-hidden="true">&times;</span>
                                              </button>
                                          </div>
                                          <div class="modal-body">
                                           <p> Вы уверены удалить пользователя {{ user_.first_name }} {{ user_.last_name }}???</p>
                                                <form method="post" action="{% url 'user_setting_delete' user_.id %}" id="delete_form-{{ user_.id }}">
                                                {% csrf_token %}
                                                </form>
                                          </div>
                                          <div class="modal-footer">
                                              <button type="button" class="btn btn-secondary" data-dismiss="modal">
                                                  Закрыть
                                              </button>
                                              <button type="submit"  form="delete_form-{{ user_.id }}" class="btn btn-danger">Удалить</button>
                                          </div>

                                          </div>
                                      </div>
                                  </div>
                              </div>
                          <!-- DELETE MODAL -->

                      </td>

                    </tr>
                  {% endfor %}
                  </tbody>
                </table>



{% endblock %}

{% block custom_includes %}
    {% load static %}
    {{ block.super }}
    <script src="{% static 'custom/js/miltiplyCheckboxesChoice.js' %}"></script>
{% endblock %}